classification
Title: packaging tests: add helpers to create and inspect a tree of files
Type: enhancement Stage: resolved
Components: Distutils2 Versions: 3rd party
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: alexis, eric.araujo, francismb, nadeem.vawda, python-dev, shane.moore, tarek, tshepang
Priority: normal Keywords:

Created on 2012-02-27 11:22 by eric.araujo, last changed 2014-03-13 00:59 by eric.araujo. This issue is now closed.

Messages (1)
msg154453 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-02-27 11:22
Many packaging tests use functions like os.mkdir and open to create files in order to test commands or actions, or slightly higher-level helpers like packaging.tests.support.TempdirManager.write_file.

I think this could be much more automated.  There should be an helper function which could accept a string with a custom format describing directories, files and their contents, then create the files in a temp directory and later cleans it all.  Likewise, it should be easier to check what new files are created (i.e. in the build or dist directory) and what their contents are.

My ultimate goal is to move from low-level tests which use command objects directly to higher-level tests which actually run the pysetup script and check the results, so that tests get closer to what people do.  This will also remove cruft in the tests, and let us change details more easily (because we’ll be testing behavior, not internal attributes or exact output).
History
Date User Action Args
2014-03-13 00:59:45eric.araujosetstatus: open -> closed
resolution: out of date
stage: needs patch -> resolved
2012-03-04 08:29:05tshepangsetnosy: + tshepang
2012-02-27 11:29:52nadeem.vawdasetnosy: + nadeem.vawda
2012-02-27 11:22:09eric.araujocreate